#include <iostream>

using namespace std;

int main()
{
    int N,K;
    cin >> N >> K;
    int niz[N];

    for(int i = 0; i < N; i++){
        cin >> niz[i];
    }

    for(int i = 0; i < N; i++){
        if(niz[i] == K && i != N-1){
            cout << niz[i+1];
            break;
        }
        if(i == N - 1){
            cout << niz[0];
            break;
        }
    }

    return 0;
}